Updates the article status list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

article_status_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
article_status_id

Foreign key of the article_status

globally unique identifier

Required

article_id

Foreign key of article

globally unique identifier

Optionally required : article_id, article_code or article must be provided

article_code

Embedded entity "article" using ERP PK when adding/updating

string

Optionally required : article_id, article_code or article must be provided

article

Embedded entity "article" when adding/updating

article

Optionally required : article_id, article_code or article must be provided

sales_organization_id

globally unique identifier

Required

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "f96ff9aa-c3ca-4a9a-b13d-3794e703e14e",
  "article_status_id": "ea142cce-1035-44e4-bc65-e15d472edeca",
  "article_id": "da8d82ec-6217-42e5-ab15-5ab806023fce",
  "article_code": "sample string 4",
  "sales_organization_id": "e7b1333e-acb5-467f-9763-68d299762963",
  "modified_dateutc": "2026-10-31T15:38:48.9137155+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.